Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.generator
Class RecordUtil

    java.lang.Object
      org.apache.poi.generator.RecordUtil

Direct Known Subclasses:
  HDFRecordUtil

public class RecordUtil
extends java.lang.Object

Helper functions for the record transformations.

Author:
  Glen Stampoultzis (glens at apache.org), Andrew C. Oliver (acoliver at apache dot org)

Constructor Summary
`RecordUtil()`

Method Summary
`static java.lang.String` | `clone(java.lang.String name, java.lang.String type, int pos)`
`static java.lang.String` | `getByteArrayString(java.lang.String data)`
`static java.lang.String` | `getConstName(java.lang.String parentName, java.lang.String constName, int padTo)`
`static java.lang.String` | `getFieldName(int position, java.lang.String name, int padTo)`
`static java.lang.String` | `getFieldName(java.lang.String name, int padTo)`
`static java.lang.String` | `getFieldName1stCap(java.lang.String name, int padTo)`
`static java.lang.String` | `getMask(int bit)`
`static java.lang.String` | `getRecordId(java.lang.String recordName, java.lang.String excelName)`
`static java.lang.String` | `getToString(java.lang.String fieldName, java.lang.String type, java.lang.String size)`
`static java.lang.String` | `getType(java.lang.String size, java.lang.String type, int padTo)`
`static java.lang.String` | `getType1stCap(java.lang.String size, java.lang.String type, int padTo)`
`static java.lang.String` | `initializeText(java.lang.String size, java.lang.String type)`
`protected static java.lang.StringBuffer` | `pad(java.lang.StringBuffer fieldName, int padTo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordUtil

    public RecordUtil()

Method Detail

### getFieldName

    public static java.lang.String getFieldName(int position,
                                                java.lang.String name,
                                                int padTo)

### pad

    protected static java.lang.StringBuffer pad(java.lang.StringBuffer fieldName,
                                                int padTo)

### getFieldName

    public static java.lang.String getFieldName(java.lang.String name,
                                                int padTo)

### getFieldName1stCap

    public static java.lang.String getFieldName1stCap(java.lang.String name,
                                                      int padTo)

### clone

    public static java.lang.String clone(java.lang.String name,
                                         java.lang.String type,
                                         int pos)

### initializeText

    public static java.lang.String initializeText(java.lang.String size,
                                                  java.lang.String type)

### getType

    public static java.lang.String getType(java.lang.String size,
                                           java.lang.String type,
                                           int padTo)

### getType1stCap

    public static java.lang.String getType1stCap(java.lang.String size,
                                                 java.lang.String type,
                                                 int padTo)

### getMask

    public static java.lang.String getMask(int bit)

### getConstName

    public static java.lang.String getConstName(java.lang.String parentName,
                                                java.lang.String constName,
                                                int padTo)

### getByteArrayString

    public static java.lang.String getByteArrayString(java.lang.String data)

  Returns:
    a byte array formatted string from a HexDump formatted string for example (byte)0x00,(byte)0x01 instead of 00 01

### getToString

    public static java.lang.String getToString(java.lang.String fieldName,
                                               java.lang.String type,
                                               java.lang.String size)

### getRecordId

    public static java.lang.String getRecordId(java.lang.String recordName,
                                               java.lang.String excelName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.